/*Style dokumentu*/
/*FONTY Z GOOGLE*/
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bagel+Fat+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Julius+Sans+One&display=swap');
/* KOLORY PROJEKTU - zmienne - var */
:root{
    --color-akcent1: #000000;
    --color-akcent2: #CEF17B;
    --color-neutral1: #F6F6F8;
    /* żeby zmieniać kolorystykę projektu wystarczy zmienić zadeklarowane tutaj zmienne */
}

/*SELEKTORY GLOBALNE*/
*{
    box-sizing: border-box;/*żeby padding nie zwiększał szerokości*/
    transition: 500ms;
}
html{
    scroll-behavior: smooth;/*animacja przewijania*/
    font-family: "Montserrat", sans-serif;

body{}
a{
    text-decoration: none;
}
p{}
img{
    max-width: 100%;/*responsywne obrazy*/
}
}

/*NAWIGACJA*/
nav{
    
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: flex-end;

    /*pływające menu - zafixowane*/
    position: fixed;
    width: 100%;/*przywracamy szer. bo fixed skasowało szer.*/

    z-index: 3;/*zmiana koljeności elementów na osi Z (domyslnie wartosc wynosi 0) - dodanie przenoszą na wirerzch, ujemne pod spód*/
}
nav ol{

    /* background-color: green; */
    /* padding: 10px; */
    max-width: 1400px;
    width: 100%;/*przywraca szer.*/
    /*ustawiamy li obok siebie*/
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
    gap: 1vw;
}
nav ol li:last-child{
    margin-left: auto;
}

nav ol li a{
    padding: 10px 5vw;
    display: block;
    text-align: center;
    color: var(--color-akcent1);
    border-radius: 50px;
}
nav ol li.logo a{
  font-family: "Bagel Fat One", cursive;
  font-size: 33px;
  color: var(--color-akcent1);
  padding: 0;
  letter-spacing: 2px;
}
nav ol li.logo a:hover{
  background-color: transparent;
  color: var(--color-akcent1);
}
nav ol li.logo{
  margin-right: 2vw;
}

nav ol li.contact a {
  background-color: var(--color-akcent2);
  color: var(--color-white);
  border-radius: 0 0 100px 100px;
  padding: 15px 30px;
  font-weight: 800;
  font-size: 16px;

}
nav ol li.contact a:hover {
  background-color: var(--color-akcent1);
  color: var(--color-akcent2);
}
nav ol li a:hover{
    background-color: var(--color-akcent2);
    color: var(--color-white);
}
nav ol li a:active{
    background-color: var(--color-neutral1);
}

/*WSZYSTKIE SEKCJE*/
section{
    padding: 20px;
    min-height: 90vh;
    /* vh = viewport height = % wys. okna przegl.*/
    /*FLEX CONTAINER*/
    display: flex;/*do uruchomienia FLEXBOX*/
    align-items: center;/*środek w pionie*/
    justify-content: center;/*śr. w poziomie*/

    scroll-margin-top: 56px;/*żeby pasek nav nie najeżdżał na treść*/
}
/*class ma prefix '.' */
.zawartosc{
    /* background-color: red; */
    max-width: 1200px;
    width: 100%;
    /*FLEX ITEM*/
}


/*POSZCZEGÓLNE SEKCJE*/
/*id ma prefix '#' */
#sekcja1{
    background-color: var(--color-bg);
    height: 100vh;
}
#sekcja1 .zawartosc{
    /* background-color: violet; */
    display: flex;
    flex-direction: column;/*zmienia justify z align*/
    justify-content: center;/*nie wyśrodkuje bo dotyczy wysokości*/
    align-items: center;/*dotyczy wyrównania na szerokość*/
    gap: 4vh;/*odstępy w pionie = 4% wys. okna przegl.*/
}
#sekcja1{
    position: relative;  
    background: url(../img/lime.jpg) no-repeat center center fixed;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}


#sekcja1 .blok-srodek{
  width: 390px;     
  max-width: 90vw; 
  min-height: 500px;
  padding: 36px 32px;
  
  background: rgba(255, 255, 255, 0.25);

  border-radius: 90px;
  border: 2px solid rgba(255,255,255,0.6);
  box-shadow: 0 20px 40px rgba(0,0,0,0.2);

  text-align: center;
  justify-content: center;
  align-items: center;
  gap: 8px;

  display: flex;
  flex-direction: column;

  margin: 0;

  z-index: 2;
}

#sekcja1 .podtytul{
  margin: 0;
  letter-spacing: 3px;
  font-family: "Julius Sans One";
  font-size: 12px;
}

#sekcja1 .tytul-glowny{
  margin: 10px 0;
  font-family: "Bagel Fat One";
  font-size: 96px;
  line-height: 1;
  
}

#sekcja1 .tekst{
  margin: 0;
  font-size: 12px;
  line-height: 1.6;
  font-family: "Montserrat", sans-serif;
}







/*********************/
#sekcja2{
    background: url(../img/1354.jpg) no-repeat center center  fixed;
    height: 100vh;
    background-size: cover;
    min-height: 100vh;

   display: flex;
   justify-content: center;
   align-items: center;
}
#sekcja2 .blok-kwadrat{
  width: 730px;
  height: 390px;
  padding: 40px;

  background: var(--color-akcent2);
  border-radius: 60px;
  border: 2px solid rgba(255,255,255,0.6);
  box-shadow: 0 20px 40px rgba(0,0,0,0.25);

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
#sekcja2 .opisanie{
  font-family: "Montserrat", sans-serif;
  font-size: 20px;
  line-height: 1.6;
  text-align: center;
}

#sekcja2 .black{
  font-weight: 900;
}
#sekcja2 .light{
  font-weight: 200;
}

.benefits-strip{
  width: 100%;
  height: 45px;
  background: var(--color-akcent2);

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;

  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  font-size: 30px;
  letter-spacing: 2px;
  color: var(--color-akcent1);

  white-space: nowrap;
  overflow: hidden;
}



/**********************/

#sekcja3{
  min-height: 100vh;
  background: var(--color-neutral1);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 80px 20px;
}

#sekcja3 .karty{
  position: relative;
  width: min(980px, 92vw);
  height: min(640px, 75vh);
  
}

#sekcja3 .karta{
  position: absolute;
  width: 300px;
  height: 300px;
  border-radius: 36px;
  padding: 28px 26px;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  gap: 14px;

  font-family: "Montserrat", sans-serif;

  z-index: 1;
  transition: transform .25s ease, box-shadow .25s ease, z-index 0s;
}

#sekcja3 .karta:hover{
  z-index: 10;
  transform: translateY(-8px) scale(1.05);
  box-shadow: 0 18px 45px rgba(0,0,0,.18);
}



/***** nagłówek ******/
#sekcja3 .karta h3{
  margin: 0;
  font-weight: 900;
  font-size: 28px;
  line-height: 1.1;
}

/***** tekst *****/
#sekcja3 .karta p{
  margin: 0;
  font-weight: 300;   
  font-size: 18px;
  line-height: 1.35;
}

/***** karteczki *****/
#sekcja3 .karta.czarna{
  background: var(--color-akcent1);
  color: var(--color-akcent2); 
}

#sekcja3 .karta.zielona{
  background: var(--color-akcent2);
  color: var(--color-akcent1);
}

#sekcja3 .karta.ramka{
  background: var(--color-neutral1);
  color: var(--color-akcent1);
  border: 3px solid var(--color-akcent1);
}

/****** pozycja + obrót *****/
#sekcja3 .lewa-gora{
  left: 40px;
  top: 40px;
  transform: rotate(-10deg);
  z-index: 5;
}

#sekcja3 .srodek{
  left: 50%;
  top: 120px;
  transform: translateX(-50%) rotate(6deg);
  z-index: 2;
}

#sekcja3 .srodek:hover{
  transform: translateX(-50%) rotate(6deg) scale(1.08);
  z-index: 10;
}

#sekcja3 .prawa-gora{
  right: 40px;
  top: 40px;
  transform: rotate(-8deg);
  z-index: 5;
}

#sekcja3 .mint-img{
  position: absolute;
  top: -90px;
  right: -40px;
  width: 200px;
  transform: rotate(15deg);
  pointer-events: none;
}

#sekcja3 .lewa-dol{
  left: 20px;
  bottom: 40px;
  transform: rotate(6deg);
}

#sekcja3 .prawa-dol{
  right: 40px;
  bottom: 40px;
  transform: rotate(12deg);
}

/****** mobile ******/
@media (max-width: 760px){
  #sekcja3 .karty{
    height: 920px;
  }
  #sekcja3 .karta{
    width: 280px;
    height: 230px;
  }

  #sekcja3 .lewa-gora{left: 10px; top: 10px;}
  #sekcja3 .prawa-gora{right: 10px; top: 180px;}
  #sekcja3 .srodek{top: 360px;}
  #sekcja3 .lewa-dol{left: 10px; bottom: 200px;}
  #sekcja3 .prawa-dol{right: 10px; bottom: 10px;}
}


.usage-strip{
  width: 100%;
  height: 45px;
  background: var(--color-akcent1);

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  font-size: 30px;
  letter-spacing: 2px;
  color: var(--color-akcent2);

  white-space: nowrap;
  overflow: hidden;
}







/*********************/
#sekcja4{
  height: 100vh;
  padding: 60px 20px;
  background: var(--color-bg);

}
#sekcja4 .sekcja4-grid{
  max-width: 1200px;
  margin: 0 auto;

  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 260px 260px;
  gap: 40px;
}

#sekcja4 .panel{
  background: var(--color-neutral1);
  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(7px);

  border-radius: 60px;
  padding: 44px;

  border: 2px solid rgba(255,255,255,0.6);
  box-shadow: 0 10px 20px rgba(0,0,0,0.10);

  position: relative;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

#sekcja4 .panel:hover{
  transform: scale(1.05);
  box-shadow: 0 12px 24px rgba(0,0,0,0.1);
}

#sekcja4 .panel h3{
  margin: 0 0 18px;
  font-size: 30px;
  font-weight: 900;
  color: var(--color-akcent1);
}

#sekcja4 .panel p{
  margin: 0;
  max-width: 360px;
  font-size: 16px;
  line-height: 1.5;
  opacity: 0.7;
}


#sekcja4 .panel-1{grid-column: 1; grid-row: 1;}
#sekcja4 .panel-2{grid-column: 1; grid-row: 2;}
#sekcja4 .panel-3{grid-column: 2; grid-row: 1 / span 2 }

#sekcja4 .panel-3{
  position: relative;
  overflow: hidden;
}

#sekcja4 .ice-group{
  position: absolute;
  right: 40px;
  bottom: 40px;
  width: 320px;
  height: 260px;
  pointer-events: none;
}

#sekcja4 .ice{
  position: absolute;
  width: 180px;
  height: auto;
  filter: drop-shadow(0 20px 25px rgba(0,0,0,0.2));
}

#sekcja4 .ice-1{ top: 0; left: 90px; }
#sekcja4 .ice-2{ bottom: 0; left: 0; }
#sekcja4 .ice-3{ bottom: 20px; right: 0; }




/*********************/

#sekcja5{
  min-height: 100vh;
  background: var(--color-neutral1);
  display: flex;
  align-items: center;
  padding: 80px 60px;
}

#sekcja5 .recipes-grid{
  width: 100%;
  max-width: 1400px;
  margin: 0 auto;

  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  gap: 60px;
}

/********** nagłówek ***********/
#sekcja5 .recipes-title{
  font-family: "Montserrat", sans-serif;
  font-size: 64px;
  font-weight: 800;
  margin: 0;
}
/********** podpis ***********/
#sekcja5 .recipes-name{
  font-family: "Montserrat", sans-serif;
  font-size: 64px;
  font-weight: 300;
  letter-spacing: 8px;
  margin: 20px 0 0;
}

/*********** START ***********/
#sekcja5 .start-btn{
  display: inline-block;
  margin-top: 32px;

  padding: 20px 95px;
  border-radius: 12px;

  background: var(--color-akcent2);
  color: var(--color-akcent1);
  border: none;

  font-family: "Montserrat", sans-serif;
  font-size: 26px;
  font-weight: 600;
  letter-spacing: 2px;

  cursor: pointer;
  user-select: none;

  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

#sekcja5 .start-btn:hover{
  transform: translateY(-2px);
  box-shadow: 0 10px 20px rgba(0,0,0,0.15);
}

/*********** szklanka + sładniki ************/

/***** pojemnik po prawej ******/
#sekcja5 .recipes-image{
  position: relative;
  width: 320px;
  max-width: 100%;
  margin: 0 auto;
  overflow: visible;
}

/***** szklanka *****/
#sekcja5 .glass{
  position: relative;
  width: 100%;
  height: auto;
  display: block;
  z-index: 2;
}

/****** spadające składniki ******/
#sekcja5 .falling{
  position: absolute;
  top: -210px;
  opacity: 0;
  pointer-events: none;
  height: auto;
  z-index: 1;
}


#sekcja5 .lime { left: 12%; width: 200px; }
#sekcja5 .mint { left: 5%; width: 160px; }
#sekcja5 .ice1 { left: 43%; width: 170px; }
#sekcja5 .ice2 { left: 10%; width: 170px; }


#drink:checked ~ .recipes-image .falling{
  opacity: 1;
  --dropY: 420px;
  --rot: 0deg;
  animation: drop 1.4s ease-in forwards;
}

#drink:checked ~ .recipes-image .lime { animation-delay: 0s; }
#drink:checked ~ .recipes-image .mint { animation-delay: 0.2s; }
#drink:checked ~ .recipes-image .ice1 { animation-delay: 0.1s; }
#drink:checked ~ .recipes-image .ice2 { animation-delay: 0.6s; }

#drink:checked ~ .recipes-image .lime { --dropY: 340px; --rot: 10deg; }
#drink:checked ~ .recipes-image .mint { --dropY: 230px; --rot: -8deg; }
#drink:checked ~ .recipes-image .ice1 { --dropY: 200px; --rot: 15deg; }
#drink:checked ~ .recipes-image .ice2 { --dropY: 320px; --rot: -12deg; }




@keyframes drop{
  0%   { transform: translateY(0) rotate(0deg); }
  100% { transform: translateY(var(--dropY)) rotate(var(--rot)); opacity: 1; }
}





/*********************/

#sekcja6{
    background:  no-repeat center fixed;
    background-size: cover;

}


/*********************/
#stopka{
  background: var(--color-neutral1);
  min-height: 70vh;
  display: flex;
  align-items: center;
}

.stopka-wrapper{
  max-width: 1200px;
  width: 100%;
  margin: auto;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 80px;
}

.stopka-left .logo{
  font-family: "Bagel Fat One";
  font-size: 48px;
}

.stopka-left .menu{
  list-style: none;
  padding: 0;
  margin-top: 40px;
  line-height: 2;
  text-decoration: none;
  font-size: 18px;
  cursor: pointer;
}

.stopka-left .menu a{
  color: var(--color-akcent1);
  text-decoration: none;
  font-size: 14px;
}


.stopka-left .menu a:hover{
  opacity: 0.7;
  color: var(--color-akcent2);
}

.stopka-left .contact{
  margin-top: 20px;
  background: var(--color-akcent1);
  padding: 12px 30px;
  border-radius: 12px;
  width: fit-content;
  font-size: 16px;
  font-weight: bold;
}

.stopka-left .contact a{
  color: var(--color-akcent2);
  text-decoration: none;
  display: block;
}

.stopka-right{
  display: flex;
  flex-direction: column;
}

.stopka-right h2{
  font-size: 48px;
  margin-bottom: 30px;
}

.stopka-right input{
  width: 100%;
  padding: 14px;
  margin-bottom: 15px;
  border-radius: 10px;
  border: none;
  background: rgba(0,0,0,0.05);
}

.stopka-right button{
  background: var(--color-akcent2);
  border: none;
  padding: 12px 70px;
  border-radius: 12px;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  align-self: flex-end;
}

.stopka-right button:hover{
  background: var(--color-akcent1);
  color: var(--color-akcent2);
}


#stopka .copyright{
    color: var(--color-akcent1);
    align-items: center;
    justify-content: center;
}